%global apiver 3.0
%define release_version %(echo %{version} | awk -F. '{print $1"."$2}')

Summary:       C++ interface for the GTK+ library
Name:          gtkmm30
Version:       3.24.7
Release:       4%{?dist}
License:       LGPLv2+
URL:           https://www.gtkmm.org/
Source0:       https://download.gnome.org/sources/gtkmm/%{release_version}/gtkmm-%{version}.tar.xz

BuildRequires: doxygen gcc-c++ libxslt m4 meson mm-common pkgconfig(atkmm-1.6) pkgconfig(cairomm-1.0)
BuildRequires: pkgconfig(gdk-pixbuf-2.0) pkgconfig(glibmm-2.4) pkgconfig(gtk+-3.0) pkgconfig(pangomm-1.4)

Requires:      atkmm cairomm gdk-pixbuf2 glibmm24 gtk3 pangomm

%description
gtkmm is the official C++ interface for the popular GUI library GTK+.  Highlights include type safe
callbacks, and a comprehensive set of widgets that are easily extensible via inheritance.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for developing applications that use %{name}.

%prep
%autosetup -n gtkmm-%{version}

%build
%meson -Dbuild-documentation=false
%meson_build

%install
%meson_install

%files
%license COPYING
%doc AUTHORS NEWS README
%{_libdir}/libgdkmm-%{apiver}.so.1*
%{_libdir}/libgtkmm-%{apiver}.so.1*

%files devel
%{_includedir}/gtkmm-%{apiver}/
%{_includedir}/gdkmm-%{apiver}/
%{_libdir}/libgdkmm-%{apiver}.so
%{_libdir}/libgtkmm-%{apiver}.so
%{_libdir}/gtkmm-%{apiver}/
%{_libdir}/gdkmm-%{apiver}/
%{_libdir}/pkgconfig/*.pc

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.24.7-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.24.7-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.24.7-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Mar 10 2023 Shuo Wang <abushwang@tencent.com> - 3.24.7-1
- initial build
